%define shortname xcolor
%define name latex-%{shortname}
%define version 2.0
%define release 2.PU_IAS.1

%define texmfdir %{_datadir}/texmf
%define latexdir %{texmfdir}/tex/latex
%define xcolordir %{latexdir}/%{shortname}

Summary: Driver-independent Color for LaTeX
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://www.ukern.de/tex/xcolor.html
Source: %{shortname}-%{version}.tar.gz
License: LPPL (http://www.latex-project.org/lppl.txt)
Group: Publishing
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch
Requires: tetex >= 2.0.2, tetex-latex >= 2.0.2

%description
xcolor provides easy driver-independent access to several kinds of colors, tints, shades, tones, and mixes of arbitrary colors by means of color expressions like \color{red!50!green!20!blue}. It allows to select a document-wide target color model and offers tools for automatic color schemes, conversion between nine color models, alternating table row colors, color blending and masking, and color separation.

%prep
%setup -n %{shortname}

%build

%install
rm -rf "$RPM_BUILD_ROOT"
install --mode=0755 -d "$RPM_BUILD_ROOT%{xcolordir}"

cp -f ./xcolor.sty "$RPM_BUILD_ROOT%{xcolordir}/xcolor.sty"
cp -f ./xcolor.ins "$RPM_BUILD_ROOT%{xcolordir}/xcolor.ins"
cp -f ./xcolor.dtx "$RPM_BUILD_ROOT%{xcolordir}/xcolor.dtx"

chmod -R ugo+rX "$RPM_BUILD_ROOT%{xcolordir}"

%post
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%postun
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0


%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%{xcolordir}/xcolor.sty
%doc %{xcolordir}/xcolor.ins
%doc %{xcolordir}/xcolor.dtx

%changelog
* Thu Oct 21 2004 Stephane <galland@arakhne.org> 2.0-2mdk
- first Mandrake's RPM version

* Tue Sep 21 2004 Stephane <galland@arakhne.org> 2.0-1
- first RPM version
